For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
LogoLogo
Login
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
HomeDocsAPI ReferenceMCP ServerChat SDKsRelease Notes
  • Introduction
    • Overview
    • Authentication
    • Versioning
    • Limits
    • Pagination
    • Errors
    • Migrate to V2
    • Changelog
  • Knowledge
    • Overview
    • Sources
    • Articles
    • Tags
  • End Users
    • Overview
    • Getting started
    • Developer guide
  • Integrations
    • Overview
    • Getting started
  • Conversations
    • Overview
    • Getting started
  • Webhooks
    • Overview
  • Variables
    • Overview
  • Data Compliance
    • Overview
  • Data Export
    • Overview
    • Getting started
    • Conversations
    • Messages
  • Overview
  • Authentication
  • Versioning
  • Limits
  • Pagination
  • Errors
  • Migrate to V2
  • Changelog
  • June 23, 2026
  • July 28, 2025
  • July 6, 2025
  • May 7, 2025
  • May 6, 2025
  • April 14, 2025
  • March 11, 2025
  • February 26, 2025
  • November 25, 2024
  • November 14, 2024
  • October 9, 2024
  • August 16, 2024
  • August 12, 2024
  • August 9, 2024
  • July 31, 2024
  • July 8, 2024
  • June 20, 2024
  • May 23, 2024
  • May 9, 2024
  • April 8, 2024
  • March 27, 2024
  • March 20, 2024
  • March 19, 2024
  • November 1, 2023
  • October 31, 2023
  • May 30, 2023
  • January 5, 2023
  • December 14, 2022
  • December 13, 2022
  • December 6, 2022
  • September 1, 2022
  • Overview
  • Sources
  • Get knowledge sources
  • Create a knowledge source
  • Delete a knowledge source
  • Update a knowledge source
  • Articles
  • Get knowledge articles
  • Delete multiple articles
  • Get a single knowledge article
  • Delete a single article
  • Upsert multiple articles
  • Tags
  • Get article tags
  • Delete a single article tag
  • Upsert multiple tags
  • Overview
  • Getting started
  • Developer guide
  • Get an end user
  • Update an end user
  • Get multiple end users
  • Create an end user
  • Webhook: End user created
  • Webhook: End user updated
  • Overview
  • Getting started
  • List integrations
  • Create an integration
  • Update an integration
  • Get an installation
  • Update installation status
  • Overview
  • Getting started
  • Creating a custom channel
  • Creating a custom handoff
  • Get a list of channels
  • Create a new channel
  • Start a conversation over Ada's email channel
  • Create a new conversation
  • Get a conversation
  • Update a conversation
  • Get conversation messages
  • Create a new message
  • End a conversation
  • End Handoff
  • Upload a file attachment
  • Webhook: Conversation created
  • Webhook: Conversation message
  • Webhook: Conversation ended
  • Webhook: Conversation handoff ended
  • Overview
  • List webhooks
  • Create a webhook
  • Get a webhook
  • Delete a webhook
  • Update a webhook
  • Get webhook signing secret
  • Rotate webhook signing secret
  • List webhook event types
  • Overview
  • List Variables
  • Get a Variable
  • Overview
  • Delete all data associated with a chatter's email address
  • Overview
  • Getting started
  • Conversations
  • Return conversations matching the parameters
  • Messages
  • Return messages matching the parameters
Login
Introduction

Changelog

Jun 23, 2026

New Variables API

The Variables API provides read access to the Variables configured for your AI Agent. Two endpoints are available: GET /v2/variables: Lists every accessible Variable. GET /v2/variables/{id}: Returns…

Jul 28, 2025

New Email Conversations CC field

We have added a new optional field to the Email Conversations API: cc: A comma-separated list of email addresses to be added as CC recipients to the Email conversation. This field allows you to…

Jul 6, 2025

Autocapture variables now included in the Data Export API

The Data Export API now returns autocapture variables within the variables attribute of each conversation object. Previously, this attribute contained only global variables. This enhancement is…

May 7, 2025

New End User profile fields

We have added two new optional fields to the End User profile object: avatar: A URL to the end user's avatar image display_name: The end user's display name

May 6, 2025

New chat window events in Embed2

We've added new events to the subscribeEvent action in Embed2 to help you better track user interactions within the chat window: Event key Trigger Payload ada:minimize_chat Triggered when a user…

Apr 14, 2025

BCP 47 support in article upserts

The language field on the article object in the upsert API now supports BCP 47 language tags (e.g., en-CA, fr-FR). The previously supported locale field is deprecated but still accepted for backwards…

Mar 11, 2025

New callback event in Embed2

We've added a new event to the subscribeEvent action in Embed2. With this event, you can receive a callback when an end user submits a CSAT. The event returns a numeric CSAT score: Event key Trigger…

Feb 26, 2025

Validation added to reply_to field in Email Conversation API

Validation for the reply_to field in the Email Conversation API will be introduced in the coming weeks. Once implemented, requests with an invalid email address will fail with a validation error.

Nov 25, 2024

v2 API release

Ada is releasing a new version (v2) of our platform APIs. For detailed instructions on how to migrate your integrations, please see our Migration Guide. In addition to an updated developer…

Nov 14, 2024

Embed2 security improvements

We've released some security improvements to Embed2. If you're using the Embed2 NPM package , upgrade it to version 1.7.27 or newer. The Embed2 script is versionless and gets automatic updates, so if…

Oct 9, 2024

setSensitiveMetaFields Embed2 Action now supported in Generative

Previously the setSensitiveMetaFields action in Embed2 action and sensitiveMetaFields setting were only supported in scripted bots, now it is supported in Generative AI Agents.

Aug 16, 2024

Embed2 security improvements

We've released some security improvements to Embed2. If you're using the Embed2 NPM package , upgrade it to version 1.7.18 or newer. The Embed2 script is versionless and gets automatic updates, so if…

Aug 12, 2024

New callback events in Embed2

We've added three new events to the subscribeEvent action in Embed2. With these events, you can provide your clients with a better experience after a bot or AI Agent has handed the conversation off…

Aug 9, 2024

New conversation topic fields

We've added multiple fields to the Data Export API's Conversation object: generated_topic_v2_descgenerated_topic_v2_idgenerated_topic_v2_parent_idgenerated_topic_v2_title These are to support the…

Jul 31, 2024

New tags in End User API webhook payloads

When you're creating or updating users with webhooks in the End User API, you'll now see tags that you can use to filter webhook events on the Ada dashboard. You can currently use this tag to filter…

Jul 8, 2024

Create global keys to use with all of your Ada APIs

Until now, if you've used multiple Ada APIs, you've had to create and manage different keys for each one. Now, you have the option to create one or more global keys that work across all of Ada's…

Jun 20, 2024

New fields in the Data Export API

We have added multiple fields to the Data Export API. Click through to each object type to learn more:Conversation objectagent_handle_timebot_handle_timerecord_last_updatedMessage…

May 23, 2024

Add IDs and metadata to sources in the Knowledge API

To make it easier to manage your knowledge base's sources, you now have the option to add information into external_id and metadata fields when you create or update a knowledge source.

May 9, 2024

Filter articles in the Knowledge API

You can now filter knowledge articles to make bulk GET and DELETE requests, based on any combination of these attributes: Article IDs Whether articles are enabled Knowledge sources articles belong to…

Apr 8, 2024

Article tags in the Knowledge API

We have added the ability to create article tags (e.g,. "merchants," "customers," "promotions," etc.) in the Knowledge API. Then, on your Ada dashboard, you'll be able to use those tags to filter the…

Older posts

Next
Built with